DateInterval (accounting-node 1.4.0-2.17.0 API)
Date: 2013-11-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.util
Class DateInterval

    java.lang.Object
      org.gcube.common.accounting.node.util.DateInterval

All Implemented Interfaces:
  Serializable

    public class DateInterval

extends Object
implements Serializable

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Constructor Summary
`DateInterval(Calendar start, Calendar end, Long interval)`
`DateInterval(Long interval)`

Method Summary
`Boolean` | `contains(Date date)` The date is contained inside the date interval;
`Calendar` | `getEndDate()`
`String` | `getEndDateAsShortString()`
`String` | `getEndDateAsString()`
`Long` | `getInterval()`
`Calendar` | `getStartDate()`
`String` | `getStartDateAsShortString()`
`String` | `getStartDateAsString()`
`void` | `setEndDate(Calendar endDate)`
`void` | `setInterval(Long interval)`
`void` | `setStartDate(Calendar startDate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateInterval

    public DateInterval(Long interval)

Parameters:
  `interval` - in ms

### DateInterval

    public DateInterval(Calendar start,
                        Calendar end,
                        Long interval)

Parameters:
  `start` -
  `end` -

Method Detail

### getInterval

    public Long getInterval()

### setInterval

    public void setInterval(Long interval)

### contains

    public Boolean contains(Date date)

  The date is contained inside the date interval;

  Parameters:
    `date` - the date
  Returns:
    true/false

### getStartDate

    public Calendar getStartDate()

### getStartDateAsShortString

    public String getStartDateAsShortString()

### getStartDateAsString

    public String getStartDateAsString()

### setStartDate

    public void setStartDate(Calendar startDate)

### getEndDate

    public Calendar getEndDate()

### getEndDateAsString

    public String getEndDateAsString()

### getEndDateAsShortString

    public String getEndDateAsShortString()

### setEndDate

    public void setEndDate(Calendar endDate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.